package ru.yandex.direct.api.v5.entity.clients.exceptions;

import ru.yandex.direct.core.TranslatableException;
import ru.yandex.direct.core.validation.CommonDefectTranslations;

import static ru.yandex.direct.api.v5.validation.DefectTypes.unableToGetPin;


public class UnableToGetPinException extends TranslatableException {
    public UnableToGetPinException() {
        super(unableToGetPin().getCode(),
                CommonDefectTranslations.INSTANCE.invalidRequestShort(),
                CommonDefectTranslations.INSTANCE.unableToGetPin());
    }
}
